Table of Contents

## Name

im_magick2vips, im_magick2vips_header - read images with the libMagick library

## Synopsis

#include <vips/vips.h>

int im_magick2vips( const char *filename, IMAGE *out )

int im_magick2vips_header( const char *filename, IMAGE *out )

## Description

im_magick2vips() reads the image in filename using libMagick, and writes the image out in VIPS format. It can read 8 and 16 bit images, colour or monochrome.

im_magick2vips_header() reads the just the header into the VIPS image. You can't read any pixels!

## See Also

im_ismagick(3)

## Copyright

Hey, you want this? You have it!

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright